### Method

# Gio Menu append_submenu

since: 2.32

#### Declaration

    void
    g_menu_append_submenu (
      GMenu* menu,
      const gchar* label,
      GMenuModel* submenu
    )

#### Description

Convenience function for appending a submenu menu item to the end of `menu`. Combine `g_menu_item_new_submenu()` and `g_menu_insert_item()` for a more flexible alternative.

Available since: 2.32

#### Parameters

`label`

  Type: `const gchar*`

  The section label, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`submenu`

  Type: `GMenuModel`

  A `GMenuModel` with the items of the submenu.

  The data is owned by the caller of the method.